<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::XMLAttribute Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_x_m_l_attribute.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classtinyxml2_1_1_x_m_l_attribute-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::XMLAttribute Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5a5c135d24cce7abda6f17301c6274d8" id="r_a5a5c135d24cce7abda6f17301c6274d8"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5a5c135d24cce7abda6f17301c6274d8">Name</a> () const</td></tr>
<tr class="memdesc:a5a5c135d24cce7abda6f17301c6274d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the attribute.  <br /></td></tr>
<tr class="separator:a5a5c135d24cce7abda6f17301c6274d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c5cd993f836a771818ca408994b14e" id="r_ab1c5cd993f836a771818ca408994b14e"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab1c5cd993f836a771818ca408994b14e">Value</a> () const</td></tr>
<tr class="memdesc:ab1c5cd993f836a771818ca408994b14e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the attribute.  <br /></td></tr>
<tr class="separator:ab1c5cd993f836a771818ca408994b14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02d5ea924586e35f9c13857d1671b765" id="r_a02d5ea924586e35f9c13857d1671b765"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a02d5ea924586e35f9c13857d1671b765">GetLineNum</a> () const</td></tr>
<tr class="memdesc:a02d5ea924586e35f9c13857d1671b765"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the line number the attribute is in, if the document was parsed from a file.  <br /></td></tr>
<tr class="separator:a02d5ea924586e35f9c13857d1671b765"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c7cf4c94a636ae75046658e551614e" id="r_aa8c7cf4c94a636ae75046658e551614e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa8c7cf4c94a636ae75046658e551614e">Next</a> () const</td></tr>
<tr class="memdesc:aa8c7cf4c94a636ae75046658e551614e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The next attribute in the list.  <br /></td></tr>
<tr class="separator:aa8c7cf4c94a636ae75046658e551614e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfa2433f0fdafd5c3880936de9affa80" id="r_adfa2433f0fdafd5c3880936de9affa80"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue</a> () const</td></tr>
<tr class="separator:adfa2433f0fdafd5c3880936de9affa80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8762ed54f147c5744ada55c3d04d27f2" id="r_a8762ed54f147c5744ada55c3d04d27f2"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8762ed54f147c5744ada55c3d04d27f2">Int64Value</a> () const</td></tr>
<tr class="separator:a8762ed54f147c5744ada55c3d04d27f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab25d1eb942c7b76c03a73e7710aadd38" id="r_ab25d1eb942c7b76c03a73e7710aadd38"><td class="memItemLeft" align="right" valign="top">uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab25d1eb942c7b76c03a73e7710aadd38">Unsigned64Value</a> () const</td></tr>
<tr class="separator:ab25d1eb942c7b76c03a73e7710aadd38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0be5343b08a957c42c02c5d32c35d338" id="r_a0be5343b08a957c42c02c5d32c35d338"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0be5343b08a957c42c02c5d32c35d338">UnsignedValue</a> () const</td></tr>
<tr class="memdesc:a0be5343b08a957c42c02c5d32c35d338"><td class="mdescLeft">&#160;</td><td class="mdescRight">Query as an unsigned integer. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a>  <br /></td></tr>
<tr class="separator:a0be5343b08a957c42c02c5d32c35d338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ce5207344ad33a265b0422addae1ff" id="r_a98ce5207344ad33a265b0422addae1ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a98ce5207344ad33a265b0422addae1ff">BoolValue</a> () const</td></tr>
<tr class="memdesc:a98ce5207344ad33a265b0422addae1ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Query as a boolean. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a>  <br /></td></tr>
<tr class="separator:a98ce5207344ad33a265b0422addae1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa73513f54ff0087d3e804f0f54e30f" id="r_a4aa73513f54ff0087d3e804f0f54e30f"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4aa73513f54ff0087d3e804f0f54e30f">DoubleValue</a> () const</td></tr>
<tr class="memdesc:a4aa73513f54ff0087d3e804f0f54e30f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Query as a double. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a>  <br /></td></tr>
<tr class="separator:a4aa73513f54ff0087d3e804f0f54e30f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27797b45d21c981257720db94f5f8801" id="r_a27797b45d21c981257720db94f5f8801"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a27797b45d21c981257720db94f5f8801">FloatValue</a> () const</td></tr>
<tr class="memdesc:a27797b45d21c981257720db94f5f8801"><td class="mdescLeft">&#160;</td><td class="mdescRight">Query as a float. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a>  <br /></td></tr>
<tr class="separator:a27797b45d21c981257720db94f5f8801"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d5176260db00ea301c01af8457cd993" id="r_a6d5176260db00ea301c01af8457cd993"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6d5176260db00ea301c01af8457cd993">QueryIntValue</a> (int *value) const</td></tr>
<tr class="separator:a6d5176260db00ea301c01af8457cd993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a7f3496f1415832e451bd8d09c9cb9" id="r_a48a7f3496f1415832e451bd8d09c9cb9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a48a7f3496f1415832e451bd8d09c9cb9">QueryUnsignedValue</a> (unsigned int *value) const</td></tr>
<tr class="memdesc:a48a7f3496f1415832e451bd8d09c9cb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:a48a7f3496f1415832e451bd8d09c9cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e25344d6e4159026be34dbddf1dcac2" id="r_a4e25344d6e4159026be34dbddf1dcac2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4e25344d6e4159026be34dbddf1dcac2">QueryInt64Value</a> (int64_t *value) const</td></tr>
<tr class="memdesc:a4e25344d6e4159026be34dbddf1dcac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:a4e25344d6e4159026be34dbddf1dcac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af793c695e7ee65cf20b8010d38b1d157" id="r_af793c695e7ee65cf20b8010d38b1d157"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af793c695e7ee65cf20b8010d38b1d157">QueryUnsigned64Value</a> (uint64_t *value) const</td></tr>
<tr class="memdesc:af793c695e7ee65cf20b8010d38b1d157"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:af793c695e7ee65cf20b8010d38b1d157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f32e038954256f61c21ff20fd13a09c" id="r_a5f32e038954256f61c21ff20fd13a09c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5f32e038954256f61c21ff20fd13a09c">QueryBoolValue</a> (bool *value) const</td></tr>
<tr class="memdesc:a5f32e038954256f61c21ff20fd13a09c"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:a5f32e038954256f61c21ff20fd13a09c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa6e55e8ea03af0609cf6690bff79b9" id="r_a2aa6e55e8ea03af0609cf6690bff79b9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2aa6e55e8ea03af0609cf6690bff79b9">QueryDoubleValue</a> (double *value) const</td></tr>
<tr class="memdesc:a2aa6e55e8ea03af0609cf6690bff79b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:a2aa6e55e8ea03af0609cf6690bff79b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a049dea6449a6259b6cfed44a9427b607" id="r_a049dea6449a6259b6cfed44a9427b607"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a049dea6449a6259b6cfed44a9427b607">QueryFloatValue</a> (float *value) const</td></tr>
<tr class="memdesc:a049dea6449a6259b6cfed44a9427b607"><td class="mdescLeft">&#160;</td><td class="mdescRight">See QueryIntValue.  <br /></td></tr>
<tr class="separator:a049dea6449a6259b6cfed44a9427b607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a406d2c4a13c7af99a65edb59dd9f7581" id="r_a406d2c4a13c7af99a65edb59dd9f7581"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a406d2c4a13c7af99a65edb59dd9f7581">SetAttribute</a> (const char *value)</td></tr>
<tr class="memdesc:a406d2c4a13c7af99a65edb59dd9f7581"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to a string value.  <br /></td></tr>
<tr class="separator:a406d2c4a13c7af99a65edb59dd9f7581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad86d7d7058d76761c3a80662566a57e5" id="r_ad86d7d7058d76761c3a80662566a57e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad86d7d7058d76761c3a80662566a57e5">SetAttribute</a> (int value)</td></tr>
<tr class="memdesc:ad86d7d7058d76761c3a80662566a57e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:ad86d7d7058d76761c3a80662566a57e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70468c0f6df2748ba3529c716999fae" id="r_ae70468c0f6df2748ba3529c716999fae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae70468c0f6df2748ba3529c716999fae">SetAttribute</a> (unsigned value)</td></tr>
<tr class="memdesc:ae70468c0f6df2748ba3529c716999fae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:ae70468c0f6df2748ba3529c716999fae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c1240f479722b9aa29b6c030aa116c2" id="r_a7c1240f479722b9aa29b6c030aa116c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7c1240f479722b9aa29b6c030aa116c2">SetAttribute</a> (int64_t value)</td></tr>
<tr class="memdesc:a7c1240f479722b9aa29b6c030aa116c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:a7c1240f479722b9aa29b6c030aa116c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10964060a5c0d92486ecf8705bdf37da" id="r_a10964060a5c0d92486ecf8705bdf37da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a10964060a5c0d92486ecf8705bdf37da">SetAttribute</a> (uint64_t value)</td></tr>
<tr class="memdesc:a10964060a5c0d92486ecf8705bdf37da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:a10964060a5c0d92486ecf8705bdf37da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3516def4fe058fe328f2b89fc2d77da" id="r_ab3516def4fe058fe328f2b89fc2d77da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab3516def4fe058fe328f2b89fc2d77da">SetAttribute</a> (bool value)</td></tr>
<tr class="memdesc:ab3516def4fe058fe328f2b89fc2d77da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:ab3516def4fe058fe328f2b89fc2d77da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a65ab3147abe8ccbbd373ce8791e818" id="r_a9a65ab3147abe8ccbbd373ce8791e818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9a65ab3147abe8ccbbd373ce8791e818">SetAttribute</a> (double value)</td></tr>
<tr class="memdesc:a9a65ab3147abe8ccbbd373ce8791e818"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:a9a65ab3147abe8ccbbd373ce8791e818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae95e843313aaf5d56c32530b6456df02" id="r_ae95e843313aaf5d56c32530b6456df02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae95e843313aaf5d56c32530b6456df02">SetAttribute</a> (float value)</td></tr>
<tr class="memdesc:ae95e843313aaf5d56c32530b6456df02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the attribute to value.  <br /></td></tr>
<tr class="separator:ae95e843313aaf5d56c32530b6456df02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-types" name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a1543d5687af193553e0803804c01f377" id="r_a1543d5687af193553e0803804c01f377"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="#a1543d5687af193553e0803804c01f377a5c77cc230dc9e6f9011ba6baa5cf6aaa">BUF_SIZE</a> = 200
 }</td></tr>
<tr class="separator:a1543d5687af193553e0803804c01f377"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae001da9e4e0f727c44f2aadbfb325a7a" id="r_ae001da9e4e0f727c44f2aadbfb325a7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae001da9e4e0f727c44f2aadbfb325a7a">XMLAttribute</a> ()</td></tr>
<tr class="separator:ae001da9e4e0f727c44f2aadbfb325a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f3de63524b73b846af8d8656b90d6c" id="r_a09f3de63524b73b846af8d8656b90d6c"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a09f3de63524b73b846af8d8656b90d6c">~XMLAttribute</a> ()</td></tr>
<tr class="separator:a09f3de63524b73b846af8d8656b90d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a423410d8fb1b94f4514e34abf5432457" id="r_a423410d8fb1b94f4514e34abf5432457"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a423410d8fb1b94f4514e34abf5432457">XMLAttribute</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> &amp;)</td></tr>
<tr class="separator:a423410d8fb1b94f4514e34abf5432457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38e1d174a975bab27a70b4032e39a257" id="r_a38e1d174a975bab27a70b4032e39a257"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a38e1d174a975bab27a70b4032e39a257">operator=</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> &amp;)</td></tr>
<tr class="separator:a38e1d174a975bab27a70b4032e39a257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469c2363600007f49e62a8048a362d57" id="r_a469c2363600007f49e62a8048a362d57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a469c2363600007f49e62a8048a362d57">SetName</a> (const char *name)</td></tr>
<tr class="separator:a469c2363600007f49e62a8048a362d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4952364c1f0260c737ac3fcac756f5a5" id="r_a4952364c1f0260c737ac3fcac756f5a5"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4952364c1f0260c737ac3fcac756f5a5">ParseDeep</a> (char *p, bool processEntities, int *curLineNumPtr)</td></tr>
<tr class="separator:a4952364c1f0260c737ac3fcac756f5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a80850208963b536e9254a7fa1d4abe67" id="r_a80850208963b536e9254a7fa1d4abe67"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a80850208963b536e9254a7fa1d4abe67">_name</a></td></tr>
<tr class="separator:a80850208963b536e9254a7fa1d4abe67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcf5c9b7f040ed71ed2a66557584b5b0" id="r_abcf5c9b7f040ed71ed2a66557584b5b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abcf5c9b7f040ed71ed2a66557584b5b0">_value</a></td></tr>
<tr class="separator:abcf5c9b7f040ed71ed2a66557584b5b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ccce78440ebad696e6958cb51aead9e" id="r_a3ccce78440ebad696e6958cb51aead9e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3ccce78440ebad696e6958cb51aead9e">_parseLineNum</a></td></tr>
<tr class="separator:a3ccce78440ebad696e6958cb51aead9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bbf00f77131a8e83d648d32d090c564" id="r_a3bbf00f77131a8e83d648d32d090c564"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3bbf00f77131a8e83d648d32d090c564">_next</a></td></tr>
<tr class="separator:a3bbf00f77131a8e83d648d32d090c564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0a1130568dd9e985dd7753ae44fcdbf" id="r_ac0a1130568dd9e985dd7753ae44fcdbf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_mem_pool.html">MemPool</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac0a1130568dd9e985dd7753ae44fcdbf">_memPool</a></td></tr>
<tr class="separator:ac0a1130568dd9e985dd7753ae44fcdbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ac2fba9b6e452829dd892f7392c24e0eb" id="r_ac2fba9b6e452829dd892f7392c24e0eb"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac2fba9b6e452829dd892f7392c24e0eb">XMLElement</a></td></tr>
<tr class="separator:ac2fba9b6e452829dd892f7392c24e0eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.</p>
<dl class="section note"><dt>Note</dt><dd>The attributes are not XMLNodes. You may only query the <a class="el" href="#aa8c7cf4c94a636ae75046658e551614e" title="The next attribute in the list.">Next()</a> attribute in a list. </dd></dl>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a1543d5687af193553e0803804c01f377" name="a1543d5687af193553e0803804c01f377"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1543d5687af193553e0803804c01f377">&#9670;&#160;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a1543d5687af193553e0803804c01f377a5c77cc230dc9e6f9011ba6baa5cf6aaa" name="a1543d5687af193553e0803804c01f377a5c77cc230dc9e6f9011ba6baa5cf6aaa"></a>BUF_SIZE&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae001da9e4e0f727c44f2aadbfb325a7a" name="ae001da9e4e0f727c44f2aadbfb325a7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae001da9e4e0f727c44f2aadbfb325a7a">&#9670;&#160;</a></span>XMLAttribute() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLAttribute::XMLAttribute </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09f3de63524b73b846af8d8656b90d6c" name="a09f3de63524b73b846af8d8656b90d6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f3de63524b73b846af8d8656b90d6c">&#9670;&#160;</a></span>~XMLAttribute()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual tinyxml2::XMLAttribute::~XMLAttribute </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a423410d8fb1b94f4514e34abf5432457" name="a423410d8fb1b94f4514e34abf5432457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a423410d8fb1b94f4514e34abf5432457">&#9670;&#160;</a></span>XMLAttribute() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLAttribute::XMLAttribute </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a98ce5207344ad33a265b0422addae1ff" name="a98ce5207344ad33a265b0422addae1ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ce5207344ad33a265b0422addae1ff">&#9670;&#160;</a></span>BoolValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLAttribute::BoolValue </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Query as a boolean. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a> </p>

</div>
</div>
<a id="a4aa73513f54ff0087d3e804f0f54e30f" name="a4aa73513f54ff0087d3e804f0f54e30f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aa73513f54ff0087d3e804f0f54e30f">&#9670;&#160;</a></span>DoubleValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double tinyxml2::XMLAttribute::DoubleValue </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Query as a double. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a> </p>

</div>
</div>
<a id="a27797b45d21c981257720db94f5f8801" name="a27797b45d21c981257720db94f5f8801"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27797b45d21c981257720db94f5f8801">&#9670;&#160;</a></span>FloatValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float tinyxml2::XMLAttribute::FloatValue </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Query as a float. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a> </p>

</div>
</div>
<a id="a02d5ea924586e35f9c13857d1671b765" name="a02d5ea924586e35f9c13857d1671b765"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02d5ea924586e35f9c13857d1671b765">&#9670;&#160;</a></span>GetLineNum()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int tinyxml2::XMLAttribute::GetLineNum </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the line number the attribute is in, if the document was parsed from a file. </p>

</div>
</div>
<a id="a8762ed54f147c5744ada55c3d04d27f2" name="a8762ed54f147c5744ada55c3d04d27f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8762ed54f147c5744ada55c3d04d27f2">&#9670;&#160;</a></span>Int64Value()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int64_t tinyxml2::XMLAttribute::Int64Value </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adfa2433f0fdafd5c3880936de9affa80" name="adfa2433f0fdafd5c3880936de9affa80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfa2433f0fdafd5c3880936de9affa80">&#9670;&#160;</a></span>IntValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int tinyxml2::XMLAttribute::IntValue </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>IntValue interprets the attribute as an integer, and returns the value. If the value isn't an integer, 0 will be returned. There is no error checking; use <a class="el" href="#a6d5176260db00ea301c01af8457cd993">QueryIntValue()</a> if you need error checking. </p>

</div>
</div>
<a id="a5a5c135d24cce7abda6f17301c6274d8" name="a5a5c135d24cce7abda6f17301c6274d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a5c135d24cce7abda6f17301c6274d8">&#9670;&#160;</a></span>Name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLAttribute::Name </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The name of the attribute. </p>

</div>
</div>
<a id="aa8c7cf4c94a636ae75046658e551614e" name="aa8c7cf4c94a636ae75046658e551614e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c7cf4c94a636ae75046658e551614e">&#9670;&#160;</a></span>Next()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> * tinyxml2::XMLAttribute::Next </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The next attribute in the list. </p>

</div>
</div>
<a id="a38e1d174a975bab27a70b4032e39a257" name="a38e1d174a975bab27a70b4032e39a257"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38e1d174a975bab27a70b4032e39a257">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4952364c1f0260c737ac3fcac756f5a5" name="a4952364c1f0260c737ac3fcac756f5a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4952364c1f0260c737ac3fcac756f5a5">&#9670;&#160;</a></span>ParseDeep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char * tinyxml2::XMLAttribute::ParseDeep </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>processEntities</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>curLineNumPtr</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f32e038954256f61c21ff20fd13a09c" name="a5f32e038954256f61c21ff20fd13a09c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f32e038954256f61c21ff20fd13a09c">&#9670;&#160;</a></span>QueryBoolValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryBoolValue </td>
          <td>(</td>
          <td class="paramtype">bool *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="a2aa6e55e8ea03af0609cf6690bff79b9" name="a2aa6e55e8ea03af0609cf6690bff79b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aa6e55e8ea03af0609cf6690bff79b9">&#9670;&#160;</a></span>QueryDoubleValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryDoubleValue </td>
          <td>(</td>
          <td class="paramtype">double *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="a049dea6449a6259b6cfed44a9427b607" name="a049dea6449a6259b6cfed44a9427b607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a049dea6449a6259b6cfed44a9427b607">&#9670;&#160;</a></span>QueryFloatValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryFloatValue </td>
          <td>(</td>
          <td class="paramtype">float *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="a4e25344d6e4159026be34dbddf1dcac2" name="a4e25344d6e4159026be34dbddf1dcac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e25344d6e4159026be34dbddf1dcac2">&#9670;&#160;</a></span>QueryInt64Value()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryInt64Value </td>
          <td>(</td>
          <td class="paramtype">int64_t *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="a6d5176260db00ea301c01af8457cd993" name="a6d5176260db00ea301c01af8457cd993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d5176260db00ea301c01af8457cd993">&#9670;&#160;</a></span>QueryIntValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryIntValue </td>
          <td>(</td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>QueryIntValue interprets the attribute as an integer, and returns the value in the provided parameter. The function will return XML_SUCCESS on success, and XML_WRONG_ATTRIBUTE_TYPE if the conversion is not successful. </p>

</div>
</div>
<a id="af793c695e7ee65cf20b8010d38b1d157" name="af793c695e7ee65cf20b8010d38b1d157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af793c695e7ee65cf20b8010d38b1d157">&#9670;&#160;</a></span>QueryUnsigned64Value()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryUnsigned64Value </td>
          <td>(</td>
          <td class="paramtype">uint64_t *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="a48a7f3496f1415832e451bd8d09c9cb9" name="a48a7f3496f1415832e451bd8d09c9cb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48a7f3496f1415832e451bd8d09c9cb9">&#9670;&#160;</a></span>QueryUnsignedValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">XMLError</a> tinyxml2::XMLAttribute::QueryUnsignedValue </td>
          <td>(</td>
          <td class="paramtype">unsigned int *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>See QueryIntValue. </p>

</div>
</div>
<a id="ab3516def4fe058fe328f2b89fc2d77da" name="ab3516def4fe058fe328f2b89fc2d77da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3516def4fe058fe328f2b89fc2d77da">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="a406d2c4a13c7af99a65edb59dd9f7581" name="a406d2c4a13c7af99a65edb59dd9f7581"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a406d2c4a13c7af99a65edb59dd9f7581">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to a string value. </p>

</div>
</div>
<a id="a9a65ab3147abe8ccbbd373ce8791e818" name="a9a65ab3147abe8ccbbd373ce8791e818"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a65ab3147abe8ccbbd373ce8791e818">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">double</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="ae95e843313aaf5d56c32530b6456df02" name="ae95e843313aaf5d56c32530b6456df02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae95e843313aaf5d56c32530b6456df02">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">float</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="ad86d7d7058d76761c3a80662566a57e5" name="ad86d7d7058d76761c3a80662566a57e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad86d7d7058d76761c3a80662566a57e5">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="a7c1240f479722b9aa29b6c030aa116c2" name="a7c1240f479722b9aa29b6c030aa116c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c1240f479722b9aa29b6c030aa116c2">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">int64_t</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="a10964060a5c0d92486ecf8705bdf37da" name="a10964060a5c0d92486ecf8705bdf37da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10964060a5c0d92486ecf8705bdf37da">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">uint64_t</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="ae70468c0f6df2748ba3529c716999fae" name="ae70468c0f6df2748ba3529c716999fae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae70468c0f6df2748ba3529c716999fae">&#9670;&#160;</a></span>SetAttribute() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetAttribute </td>
          <td>(</td>
          <td class="paramtype">unsigned</td>          <td class="paramname"><span class="paramname"><em>value</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the attribute to value. </p>

</div>
</div>
<a id="a469c2363600007f49e62a8048a362d57" name="a469c2363600007f49e62a8048a362d57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469c2363600007f49e62a8048a362d57">&#9670;&#160;</a></span>SetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLAttribute::SetName </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab25d1eb942c7b76c03a73e7710aadd38" name="ab25d1eb942c7b76c03a73e7710aadd38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab25d1eb942c7b76c03a73e7710aadd38">&#9670;&#160;</a></span>Unsigned64Value()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint64_t tinyxml2::XMLAttribute::Unsigned64Value </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0be5343b08a957c42c02c5d32c35d338" name="a0be5343b08a957c42c02c5d32c35d338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0be5343b08a957c42c02c5d32c35d338">&#9670;&#160;</a></span>UnsignedValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned tinyxml2::XMLAttribute::UnsignedValue </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Query as an unsigned integer. See <a class="el" href="#adfa2433f0fdafd5c3880936de9affa80">IntValue()</a> </p>

</div>
</div>
<a id="ab1c5cd993f836a771818ca408994b14e" name="ab1c5cd993f836a771818ca408994b14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1c5cd993f836a771818ca408994b14e">&#9670;&#160;</a></span>Value()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLAttribute::Value </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The value of the attribute. </p>

</div>
</div>
<h2 class="groupheader">Friends And Related Symbol Documentation</h2>
<a id="ac2fba9b6e452829dd892f7392c24e0eb" name="ac2fba9b6e452829dd892f7392c24e0eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2fba9b6e452829dd892f7392c24e0eb">&#9670;&#160;</a></span>XMLElement</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac0a1130568dd9e985dd7753ae44fcdbf" name="ac0a1130568dd9e985dd7753ae44fcdbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0a1130568dd9e985dd7753ae44fcdbf">&#9670;&#160;</a></span>_memPool</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_mem_pool.html">MemPool</a>* tinyxml2::XMLAttribute::_memPool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a80850208963b536e9254a7fa1d4abe67" name="a80850208963b536e9254a7fa1d4abe67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80850208963b536e9254a7fa1d4abe67">&#9670;&#160;</a></span>_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> tinyxml2::XMLAttribute::_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">mutable</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bbf00f77131a8e83d648d32d090c564" name="a3bbf00f77131a8e83d648d32d090c564"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bbf00f77131a8e83d648d32d090c564">&#9670;&#160;</a></span>_next</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a>* tinyxml2::XMLAttribute::_next</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ccce78440ebad696e6958cb51aead9e" name="a3ccce78440ebad696e6958cb51aead9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ccce78440ebad696e6958cb51aead9e">&#9670;&#160;</a></span>_parseLineNum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int tinyxml2::XMLAttribute::_parseLineNum</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abcf5c9b7f040ed71ed2a66557584b5b0" name="abcf5c9b7f040ed71ed2a66557584b5b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcf5c9b7f040ed71ed2a66557584b5b0">&#9670;&#160;</a></span>_value</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> tinyxml2::XMLAttribute::_value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">mutable</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/src/<a class="el" href="tinyxml2_8cpp.html">tinyxml2.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
